Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line

From: martin rudalics <[email-masked]>
Date: Thu, 06 Mar 2014 19:54:48 +0100

> I tried that, but buffer *window-frame-dump* never was filled with any
 > text.  And I never saw any "fatal resize".  IOW, evaluating that defun
 > did not have any effect that I noticed.  I did still continue to
 > observe the behavior I have recorded above, however.  IOW, the mode line
 > continued to disappear in the same way, with no changes that I could
 > see.
 >
 > Do I need to do something more than just evaluate that defun?  Do
 > I need to restart Emacs and do that first or something?  (You mentioned
 > putting it in .emacs, instead of just evaluating it.  I just evaluated
 > it.)

No.  I forgot that this function is not called unless the frame has at
least two windows.  You could eval (window--dump-frame) immediately in
the minibuffer window once before (saving the contents of the buffer
elsewhere) and once immediately after a bad resize.

martin